Installing Slony Replication v1.0

Edit this page

This section walks you through installing EDB Slony Replication on an RHEL/CentOS host, a Debian/Ubuntu host, and a Windows host.

The EDB Slony Replication version required by your EDB Postgres Advanced and PostgreSQL Server installation is version-specific, but the documented and supported functionality of each version is the same.

The following table lists the latest Slony Replication versions and their corresponding Postgres versions and platforms supported by Slony Replication. The information in this guide applies to each version listed in the table below.

Supported Slony Replication VersionSupported Postgres VersionSupported Platforms
Slony Replication 2.2EDB Postgres Advanced and PostgreSQL Server 13RHEL 7 - x86_64 and RHEL 8 - x86_64
RHEL 7 - ppc64le
Debian 9x Stretch and Debian 10x Buster
Ubuntu 18.04 Bionic Beaver and Ubuntu 20.04 LTS Focal Fossa
Windows x86_64
Slony Replication 2.2EDB Postgres Advanced and PostgreSQL Server 12RHEL 7 - x86_64 and RHEL 8 - x86_64
RHEL 7 - ppc64le
Debian 9x Stretch and Debian 10x Buster
Ubuntu 18.04 Bionic Beaver
Windows x86_64
Slony Replication 2.2EDB Postgres Advanced and PostgreSQL Server 11RHEL 7 - x86_64 and RHEL 8 - x86_64
RHEL 7 - ppc64le
Debian 9x Stretch
Ubuntu 18.04 Bionic Beaver
Windows x86_64
Slony Replication 2.2EDB Postgres Advanced and PostgreSQL Server 10 and 9.6RHEL 7 - x86_64
RHEL 7 - ppc64le
Windows x86_64 and Linux graphical installer

installing_slony_on_a_linux_or_centos_host installing_slony_on_a_debian_or_ubuntu_host installing_slony_on_a_windows_host

Note

Slony Replication no longer supports CentOS/RHEL/OEL 6.x platforms. We strongly recommend migrating EDB products running on these platforms to a supported platform.